Update call analysis prompts/item
curl --request PATCH \
--url https://api.callaro.ai/api/v1/call-analysis-prompts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"call_analysis_prompt": {
"settings": {},
"name": "<string>",
"description": "<string>",
"prompt_text": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"llm_registry_key": "<string>",
"status": "<string>",
"output_schema": {}
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
call_analysis_prompt: {
settings: {},
name: '<string>',
description: '<string>',
prompt_text: '<string>',
llm_provider: '<string>',
llm_model: '<string>',
llm_registry_key: '<string>',
status: '<string>',
output_schema: {}
}
})
};
fetch('https://api.callaro.ai/api/v1/call-analysis-prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/call-analysis-prompts/{id}"
payload = { "call_analysis_prompt": {
"settings": {},
"name": "<string>",
"description": "<string>",
"prompt_text": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"llm_registry_key": "<string>",
"status": "<string>",
"output_schema": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"key": "<string>",
"name": "<string>",
"category": "<string>",
"industry_tags": "<string>",
"description": "<string>",
"icon": "<string>",
"schema": "<string>",
"prompt_text": "<string>",
"field_count": 123
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}CallAnalysis
Update call analysis prompts/item
From api/v1/call_analysis_prompts#update in voice_saas_api. Fields come from that action’s strong params / params usage.
PATCH
/
api
/
v1
/
call-analysis-prompts
/
{id}
Update call analysis prompts/item
curl --request PATCH \
--url https://api.callaro.ai/api/v1/call-analysis-prompts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"call_analysis_prompt": {
"settings": {},
"name": "<string>",
"description": "<string>",
"prompt_text": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"llm_registry_key": "<string>",
"status": "<string>",
"output_schema": {}
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
call_analysis_prompt: {
settings: {},
name: '<string>',
description: '<string>',
prompt_text: '<string>',
llm_provider: '<string>',
llm_model: '<string>',
llm_registry_key: '<string>',
status: '<string>',
output_schema: {}
}
})
};
fetch('https://api.callaro.ai/api/v1/call-analysis-prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/call-analysis-prompts/{id}"
payload = { "call_analysis_prompt": {
"settings": {},
"name": "<string>",
"description": "<string>",
"prompt_text": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"llm_registry_key": "<string>",
"status": "<string>",
"output_schema": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"key": "<string>",
"name": "<string>",
"category": "<string>",
"industry_tags": "<string>",
"description": "<string>",
"icon": "<string>",
"schema": "<string>",
"prompt_text": "<string>",
"field_count": 123
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Wrapped resource object or the same fields at the top level.
Show child attributes
Show child attributes
Was this page helpful?